=== debian/control ===
Source: ros-rolling-rsl
Section: misc
Priority: optional
Maintainer: Tyler Weaver <maybe@tylerjw.dev>
Build-Depends: debhelper (>= 9.0.0), clang-tidy <!nocheck>, doxygen, git, libeigen3-dev, libfmt-dev, librange-v3-dev <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-rclcpp, ros-rolling-tcb-span, ros-rolling-tl-expected, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rsl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libfmt-dev, ros-rolling-rclcpp, ros-rolling-tcb-span, ros-rolling-tl-expected, ros-rolling-ros-workspace
Description: ROS Support Library
